define('jls/lang/BufferOverflowException', ['jls/lang/Class', 'jls/lang/Exception'], function (Class, Exception) {

var BufferOverflowException;
/**
 * @name jls.lang.BufferOverflowException
 * @augments jls.lang.Exception
 * @class Thrown to indicate that the target buffer's limit is reached.
 */
BufferOverflowException = Class.create(Exception, /** @lends jls.lang.BufferOverflowException.prototype */
{
    initialize : function($super, message, cause) {
        $super(message, cause);
    }
});

return BufferOverflowException;
});
